from django.urls import path
from django.contrib.auth import views as auth_views
from .views import RegistrationView, LocationAnalytics, ChartDataThisMonth, ReviewListLocationWise

urlpatterns = [
    path('login/', auth_views.LoginView.as_view(template_name='login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(template_name='logout.html'), name='logout'),
    path('signup', RegistrationView.as_view(), name='registration'),
    path('analytics', LocationAnalytics.as_view(), name='location-analytics'),
    path('reviews/<platform>', ReviewListLocationWise.as_view(), name='location-wise-review-list'),
    path('api/analytics', ChartDataThisMonth.as_view(), name='location-api-analytics'),
]
